Package com.google.android.exoplayer2.effect

## Interface GlTextureProcessor.InputListener

- Enclosing interface:
    GlTextureProcessor

      public static interface GlTextureProcessor.InputListener

  Listener for input-related frame processing events.

  This listener can be called from any thread.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `onInputFrameProcessed​(TextureInfo inputTexture)` | Called when the `GlTextureProcessor` has processed an input frame.
    `default void` | `onReadyToAcceptInputFrame()` | Called when the `GlTextureProcessor` is ready to accept another input frame.

- - ### Method Detail

    - #### onReadyToAcceptInputFrame

          default void onReadyToAcceptInputFrame()

      Called when the `GlTextureProcessor` is ready to accept another input frame.

      For each time this method is called, `GlTextureProcessor.queueInputFrame(TextureInfo, long)` can be called once.

    - #### onInputFrameProcessed

          default void onInputFrameProcessed​(TextureInfo inputTexture)

      Called when the `GlTextureProcessor` has processed an input frame.

      The implementation shall not assume the `GlTextureProcessor` is ready to accept another input frame when this method is called.

      Parameters:
        `inputTexture` - The `TextureInfo` that was used to queue the input frame.